// server.js
import { WebSocketServer } from 'ws';
import connectHandle from '../server';

import { config } from "dotenv";
config();

const port = parseInt(process.env.PORT || "8077", 10);
const wss = new WebSocketServer({ port });

wss.on('connection', (socket, req) => {
    connectHandle(socket, req);
});

wss.on('listening', () => {
    console.log(`WebSocket server is listening on ${port}`);
});